dependancy issues (cairo-dock-plug-ins and libindicator3)

Bug #811579 reported by Vincent Gerris on 2011-07-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cairo-dock-plug-ins (Ubuntu)
Undecided
Matthieu Baerts

Bug Description

cairo-dock has dependancy issue.
I had to select cairo-dock-plug-ins manually and then noticed that it was missing libnotification (or something).
My manually selecting that, other dependancies were met, then again cairo-dock complained about the plug-ins.
when selecting that (and dependancies) + cairo-dock, it worked.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: cairo-dock 2.3.0~3-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-5.6-generic-pae 3.0.0-rc7
Uname: Linux 3.0.0-5-generic-pae i686
NonfreeKernelModules: fglrx
Architecture: i386
CompositingMetacity: false
Date: Sat Jul 16 18:53:24 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
PackageArchitecture: all
PciDisplay: 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Broadway PRO [Mobility Radeon HD 5800 Series] [1002:68a1] (prog-if 00 [VGA controller])
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions:
 xserver-xorg 1:7.6+7ubuntu1
 libgl1-mesa-glx 7.11~1-0ubuntu3
 libdrm2 2.4.26-1ubuntu1
 xserver-xorg-video-intel 2:2.15.0-3ubuntu2
 xserver-xorg-video-ati 1:6.14.2-1ubuntu2
SourcePackage: cairo-dock
UpgradeStatus: Upgraded to oneiric on 2011-07-16 (0 days ago)
WM: /usr/bin/compiz
system: distro = Ubuntu, architecture = i686, kernel = 3.0.0-5-generic-pae

Related branches

Vincent Gerris (vgerris) wrote :
Matthieu Baerts (matttbe) wrote :

Hello and thank you for this bug report.

I'm sorry but I don't understand what's wrong. Cairo-Dock and its plug-ins doesn't depend of any libnotification*

> when selecting that (and dependancies) + cairo-dock, it worked.
Which packages exactly? If you don't remember exactly, you can check in /var/log/aptitude or /var/log/apt/ (or by using the software-center) in order to know which packages you've installed or removed.

Changed in cairo-dock (Ubuntu):
status: New → Incomplete
Matthieu Baerts (matttbe) wrote :

PS: about dependences, this is what's required by the dock and its plug-ins: http://packages.ubuntu.com/oneiric/cairo-dock-core & http://packages.ubuntu.com/oneiric/cairo-dock-plug-ins

Vincent Gerris (vgerris) wrote :

Hi,

Thank you for the issue.
The lib is libindicator3 .
My 32bit 11.10 was unusuble, so I reinstalled the 64 bit version.
It has the same issue.
It seems to depend on libindicator3.
libindicator3-6 is installed.

When I install libindicator3 unity2d and all kinds of notifications are removed.
I think that will make the dock work, but it also made my system unusable.

I attached some screenshots, hope it helps.

Vincent Gerris (vgerris) wrote :

cairo-dock:
 Depends: cairo-dock-plug-ins but it is not going to be installed

Matthieu Baerts (matttbe) wrote :

Ok, it's a bug in Cairo-Dock Plug-Ins and not Cairo-Dock.
Is it possible to try the version from our weekly ppa? => http://wiki.glx-dock.org/?p=ppa%20Weekly ; https://launchpad.net/~cairo-dock-team/+archive/weekly
I guess this package just needs to be recompile in order to update the dependency list.

summary: - dependancy issues cairo-dock
+ dependancy issues (cairo-dock-plug-ins and libindicator3)
affects: cairo-dock (Ubuntu) → cairo-dock-plug-ins (Ubuntu)
Changed in cairo-dock-plug-ins (Ubuntu):
assignee: nobody → Matthieu Baerts (matttbe)
status: Incomplete → New
Vincent Gerris (vgerris) wrote :

thank you for the quick reply.
When the ppa is added according to the description and I do :
        sudo apt-get install cairo-dock cairo-dock-plug-ins
it does install fine.
thanks a lot :)!

Changed in cairo-dock-plug-ins (Ubuntu):
status: New → In Progress
Changed in cairo-dock-plug-ins (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairo-dock-plug-ins - 2.4.0~0beta2-0ubuntu1

---------------
cairo-dock-plug-ins (2.4.0~0beta2-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #823514)
  * Upstream (short) ChangeLog:
   - The Power-Manager applet has been rewritten to work on any plateform.
   - Compiz-icon applet has been replaced by Composite-Manager.
   - Improved integration in the XFCE, LXDE and GNOME3 desktop.
   - Logout is now working even if there is no/an unknow session manager.
   - Several new DBus methods lets you interact on the dock more easily.
   - Added the possibility to shutdown/logout with GMenu.
   - Improved Status-Notifier and added its own watcher.
   - Added a new applet: Impulse (still need testing).
   - Fixed a few bugs as usual.
  * debian/patches:
   - Removed all patches (they was already unapplied).
  * debian/copyright:
   - Updated with new files/directory.
  * debian/cairo-dock-plug-ins.install:
   - Added status-notifier-watcher used by Status-Notifier applet.
  * debian/control:
   - Updated the version of cairo-dock-[core;data;dev].
   - Bump Standard-Version to 3.9.2.
   - Added fftw3, pulse (Impulse) and upower-glib (Logout)
      as new dependences for the build process.
   - Added indicator-[me;messages] as new recommendations
      for cairo-dock-plug-ins (needed for [Me;Messaging]Menu applets).
   - Removed gawk from the build dependences list (no longer needed).
  * cairo-dock-plug-ins package needs to be recompiled (LP: #811579)
 -- Matthieu Baerts (matttbe) <email address hidden> Tue, 09 Aug 2011 21:50:47 +0200

Changed in cairo-dock-plug-ins (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers